#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kontact
Summary:        Container application to unify several major PIM applications within one application
Epoch:          2
Version: 16.12.3
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            http://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

ExcludeArch:    armv5tl

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

# Find KF5 package
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5IconThemes)


# Find KdepimLibs Package
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5KdepimDBusInterfaces)

Requires:       qtwebengine5
Recommends:     kmail
Recommends:     knotes
Recommends:     kalarm
Recommends:     kaddressbook
Recommends:     korganizer
Recommends:     kontact-handbook
Conflicts:      kdepim4-devel < 2:4.6.90-2

%description
The KDE Kontact Personal Information Management suite unites mature and
proven KDE applications under one roof. Thanks to the powerful KParts
technology, existing applications are seamlessly integrated into one.

%files
%_kf5_sysconfdir/xdg/kontact.categories
%_kf5_sysconfdir/xdg/kontact.renamecategories
%_kf5_bindir/kontact
%_qt5_plugindir/kcm_kontact.so
%_kf5_datadir/appdata/org.kde.kontact.appdata.xml
%_kf5_datadir/applications/kontact-admin.desktop
%_kf5_datadir/applications/org.kde.kontact.desktop
%_kf5_datadir/config.kcfg/kontact.kcfg
%_kf5_iconsdir/*/*/*/*.png
%_kf5_datadir/kconf_update/kontact-15.08-kickoff.sh
%_kf5_datadir/kconf_update/kontact.upd
%_kf5_datadir/kservices5/kontactconfig.desktop
%_kf5_datadir/kxmlgui5/kontact/kontactui.rc
%_kf5_datadir/messageviewer/about/default/introduction_kontact.html
%_kf5_datadir/messageviewer/about/default/loading_kontact.html

#------------------------------------------------------------------------------

%define kontactprivate_major 5
%define libkontactprivate %mklibname kontactprivate %kontactprivate_major

%package -n %libkontactprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkontactprivate
KDEPIM library.

%files -n %libkontactprivate
%_kf5_libdir/libkontactprivate.so.%{kontactprivate_major}*

#------------------------------------------------------------------------------

%package -n kontact-handbook
Summary:        Kontact handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kontact >= %{epoch}:%{version}-%{release}
Conflicts:      kontact < 2:4.7.1

%description -n kontact-handbook
This package provides the kontact handbook.

%files -n kontact-handbook
%_kf5_docdir/HTML/en/kontact
%_kf5_docdir/HTML/en/kontact-admin

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090108
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076848
- New version 16.12.0

* Mon Dec 19 2016 daviddavid <daviddavid> 2:16.11.90-2.mga6
+ Revision: 1076133
- requires qtwebengine5 (fixes mga#19981)
- do not build on armv5tl because of missing qtwebengine5

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075245
- imported package kontact

